RDKit: RDKit::FMCS::TArray2D< T > Class Template Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::FMCS::TArray2D< T > Class Template Reference

`#include <MatchTable.h>`

## Public Member Functions
| TArray2D (size_t cy=0, size_t cx=0)
size_t | getXSize () const
size_t | getYSize () const
bool | empty () const
void | clear ()
void | resize (size_t cy, size_t cx)
void | set (size_t row, size_t col, T val)
T | at (size_t row, size_t col)
T | at (size_t row, size_t col) const

## Detailed Description

template<typename T>
class RDKit::FMCS::TArray2D< T >

Definition at line 18 of file MatchTable.h.

## Constructor & Destructor Documentation

## ◆ TArray2D()

template<typename T>

RDKit::FMCS::TArray2D< T >::TArray2D | ( | size_t | cy = 0,
|  | size_t | cx = 0 )
| inline

Definition at line 26 of file MatchTable.h.

## Member Function Documentation

## ◆ at() [1/2]

template<typename T>

T RDKit::FMCS::TArray2D< T >::at | ( | size_t | row,
|  | size_t | col )
| inline

Definition at line 44 of file MatchTable.h.

## ◆ at() [2/2]

template<typename T>

T RDKit::FMCS::TArray2D< T >::at | ( | size_t | row,
|  | size_t | col ) const
| inline

Definition at line 45 of file MatchTable.h.

## ◆ clear()

template<typename T>

void RDKit::FMCS::TArray2D< T >::clear | ( |  | ) |
| inline

Definition at line 31 of file MatchTable.h.

## ◆ empty()

template<typename T>

bool RDKit::FMCS::TArray2D< T >::empty | ( |  | ) | const
| inline

Definition at line 30 of file MatchTable.h.

## ◆ getXSize()

template<typename T>

size_t RDKit::FMCS::TArray2D< T >::getXSize | ( |  | ) | const
| inline

Definition at line 28 of file MatchTable.h.

## ◆ getYSize()

template<typename T>

size_t RDKit::FMCS::TArray2D< T >::getYSize | ( |  | ) | const
| inline

Definition at line 29 of file MatchTable.h.

## ◆ resize()

template<typename T>

void RDKit::FMCS::TArray2D< T >::resize | ( | size_t | cy,
|  | size_t | cx )
| inline

Definition at line 36 of file MatchTable.h.

## ◆ set()

template<typename T>

void RDKit::FMCS::TArray2D< T >::set | ( | size_t | row,
|  | size_t | col,
|  | T | val )
| inline

Definition at line 41 of file MatchTable.h.

The documentation for this class was generated from the following file:

- MatchTable.h